### Method

# Atspi EditableText set_text_contents

#### Declaration [src]

    gboolean
    atspi_editable_text_set_text_contents (
      AtspiEditableText* obj,
      const gchar* new_contents,
      GError** error
    )

#### Description [src]

Replace the entire text contents of an `AtspiEditableText` object.

#### Parameters

`new_contents`

  Type: `const gchar*`

  A character string, encoded in UTF-8, which is to become the new text contents of the `AtspiEditableText` object.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the operation was successful, otherwise `FALSE`.